2004-09-02  Alexandre Oliva  <aoliva@redhat.com>

	* config.sub: Accept frv400 and frv550 as host names.
	* configure.in: Match frv*-*-*linux*.
	* configure: Rebuilt.
	* libtool.m4: Match frv*.
	* libstdc++-v3/configure: Rebuilt.
	* rda/unix/configure: Likewise.

2004-01-27  Alexandre Oliva  <aoliva@redhat.com>

	* libtool.m4 (lt_cv_deplibs_check_method): Set to pass all on
	frv-*-uclinux* and frv-*-linux-gnu*.
	* libstdc++-v3/configure: Rebuilt.

2003-12-18  Alexandre Oliva  <aoliva@redhat.com>

	* ltconfig (uclinux*): Handle like linux-gnu*.
	* ltcf-cxx.sh (uclinux*): Don't disable shared libs.

2003-10-31  Alexandre Oliva  <aoliva@redhat.com>

	* configure.in: Add frv-*-*linux*.
	* configure: Rebuilt.

2003-07-24  Alexandre Oliva  <aoliva@redhat.com>

	* gettext.m4 (CY_WITH_NLS): Add test for MSGMERGE, needed by make.

2003-06-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (configure-gdb): Add maybe-configure-itcl.

2003-04-29  Nick Clifton  <nickc@redhat.com>

	* doc/chapter/basics.texi: Fix a few missing cross references.
	* doc/chapter/tutorial.texi: Likewise.
	* doc/appendix/glossary.texi: Likewise.

2003-03-19  Andrew Cagney  <cagney@redhat.com>

	* configure.in (gdb_tk): Remove maybe-all-tix.
	* configure: Ditto.
	* Makefile.in (install-gdb): Remove dependency on tix.

2002-08-22  Kevin Buettner  <kevinb@redhat.com>

	* Makefile.in (ALL_MODULES): Remove all-libremote.  Add all-rda.
	(CROSS_CHECK_MODULES): Remove check-libremote.  Add check-rda.
	(INSTALL_MODULES): Remove install-libremote.  Add install-rda.
	(all-libremote): Remove target.
	(all-rda): New target.
	* configure.in: Change ``libremote'' references to be references
	to ``rda'' instead.

2002-04-30  Nick Clifton  <nickc@cambridge.redhat.com>

	* libio: Obsolete - removed.
	* libstdc++: Obsolete - removed.
	* xiberty: Obsolete - removed.

2002-04-02  Nick Clifton  <nickc@cambridge.redhat.com>

	* REDHAT: Renamed version of CYGNUS.

2002-03-26  Nick Clifton  <nickc@cambridge.redhat.com>

	* configure.in (native_only): Rework gprof exclusion.

2001-09-26  Alexandre Oliva  <aoliva@redhat.com>

	* configure.in (noconfigdirs) [am33_2.0-*-linux*]: Don't build
	newlib nor libgloss.

2001-09-18  Nick Clifton  <nickc@cambridge.redhat.com>

	* config.sub: Remove duplicate mipsisa32 entries.

2001-08-07  Michael Keezer <mkeezer@redhat.com>

        * configure.in (noconfigdirs) [am33_2.0-*-linux*]: Removed
        Exclude for gdb

2001-08-06  Michael Keezer <mkeezer@redhat.com>

        * configure.in (noconfigdirs) [am33_2.0-*-linux*]: Put back in
        the Exclude for gdb.

2001-08-03  Michael Keezer <mkeezer@redhat.com>

        * configure.in (noconfigdirs) [am33_2.0-*-linux*]: Removed
        Exclude for gdb and libremote.

2001-08-01  Diego Novillo  <dnovillo@redhat.com>

	* Makefile.in (check-g++-perennial): New rule.

2001-07-18  Angela Marie Thomas <angela@cygnus.com>
	Andrew Haley  <aph@cambridge.redhat.com>

	* configure.in: Add --with-sysroot=XXX.
	Remove --with-libs=XXX and --with-headers=XXX.

2001-07-13  Aldy Hernandez  <aldyh@redhat.com>

	* config.sub: Fix mips64vr5000el typo in CPU-COMPANY.

2001-05-12  Alexandre Oliva  <aoliva@redhat.com>

	* configure.in (noconfigdirs) [am33_2.0-*-linux*]: Exclude newlib
	and libgloss if cross compiling.

Wed May  9 10:07:19 2001  Alexandre Oliva  <aoliva@redhat.com>

	* config.sub (am33_2.0): Added.
	* configure.in (am33_2.0-*-linux*): Added.

Mon May  7 09:20:05 2001  Jeffrey A Law  (law@cygnus.com)

	* test-build.mk (HOLES) Add "fold" and "od".

2001-04-06  Alexandre Oliva  <aoliva@redhat.com>

	* config.sub: Make sure to match an already-canonicalized
	machine name (eg. mn10300-unknown-elf).

2001-04-02  Frank Ch. Eigler  <fche@redhat.com>

	* configure.in (native_only): Remove gprof as CYGNUS LOCAL change.

2001-03-15  Andrew Cagney  <ac131313@redhat.com>

	* configure.in (copy_dirs): Add FreeBSD, NetBSD and OpenBSD to
	list of hosts that can build libremote.

2001-03-01  Andrew Cagney  <ac131313@redhat.com>

	* configure.in (ia64-*-aix*): Comment out.

2001-02-28  Syd Polk  <spolk@redhat.com>

	* Makefile.in (all-snavigator): Depend on all-grep.

2000-12-14  Ben Elliston  <bje@redhat.com>

	* configure.in: Revert 2000-12-12 change.

2000-12-12  Ben Elliston  <bje@redhat.com>

	* configure.in: Add gdb to noconfigdirs for sh64-*-*.

2000-12-01  Alexandre Oliva  <aoliva@redhat.com>

	* configure.in: Added sh64-*-*.

2000-10-27  Ben Elliston  <bje@redhat.com>

	* config.sub (sh64): Rename from sh5.

2000-10-09  Ben Elliston  <bje@redhat.com>

	* config.sub (sh5): Accept.

2000-08-25  Alexandre Oliva  <aoliva@redhat.com>

	* configure.in: Removed a few gratuitous differences from net GCC.
	(target_libs): Reordered libstdcxx_version and target-librx.
	(i[3456]86-*-cygwin): Don't use mh-x86pic.
	(ia64-*-*, i370-*-*): Reordered.

2000-08-11  Michael Meissner  <meissner@redhat.com>

	* configure.in (frv-*-*): Do not use config/mt-frv.



2000-06-22  Graham Stott  <grahams@cygnus.co.uk>

	* Makefile.in: Update copyright dates.

2000-06-21  Corinna Vinschen  <vinschen@cygnus.com>

	* ltconfig: Check for host_os being one of `cygwin', `mingw' or
	`os2'. Force ac_cv_exeext to be ".exe" in that case.

2000-06-15  Syd Polk  <spolk@redhat.com>

	* Makefile.in: all-snavigator no longer depends on all-grep.

2000-06-13  Jason Merrill  <jason@redhat.com>

	* configure.in (noconfigdirs): Do configure C++ libraries on h8x00.

Thu Jun 6 01:20:00 MET 2000  Philipp Thomas  <pthomas@suse.de>

	* config.guess: Updated to latest version.
	* config.sub: Likewise.

Wed May 10 19:53:15 2000  Jim Wilson  <wilson@cygnus.com>

	* configure.in (ia64*-*-linux*): Delete noconfigdirs support.
	(ia64*-*-elf*): Renamed from ia64*-*-*.  Delete sim.

2000-05-08  Michael Meissner  <meissner@redhat.com>

	* configure.in (frv-*-*): Add back in target-bsp and
	target-cygmon.

2000-05-03  Michael Meissner  <meissner@redhat.com>

	* configure.in (frv-*-*): Add config/mt-frv to the Makefile to
	build libraries for pic.  Remove code that checked if we had a
	native FR-V compiler in order to exclude bsp/cygmon.  Don't limit
	the libraries we compile.

2000-05-02  Nick Clifton  <nickc@cygnus.com>

	* merge-scripts: New directory.  Contains scripts for
	performing source merges into devo.

2000-04-06  Frank Ch. Eigler  <fche@redhat.com>

	* configure.in (configdirs): Add libremote for some hosts.
	* Makefile.in (*_MODULES): Add *-libremote.

2000-04-06  Frank Ch. Eigler  <fche@redhat.com>

	* configure.in: Remove gprof from noconfigdirs for mips targets.

2000-03-29  Jason Merrill  <jason@casey.cygnus.com>

	* configure.in: -linux-gnu*, not -linux-gnu.

2000-03-10  H.J. Lu  <hjl@gnu.org>

	* Makefile.in (all-gcc): Backed out the last change.

2000-03-10  H.J. Lu  <hjl@gnu.org>

	* Makefile.in (all-gcc): Run ld/ld-new if necessary.

2000-02-25  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in (all-target-libstdc++): Add all-target-winsup dependency.
	* configure.in (cygwin host/target): Use mh/mt-winx86pic if
	--enable-shared.

2000-02-16  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* config.guess: Synchronize with master repository.
	* config.sub: Likewise.

2000-02-14  Nick Clifton  <nickc@cygnus.com>

	* MAINTAINERS: Add maintainers for MCore port.

Wed Feb 02 16:15:00 2000  Ranjith Kumaran <ranjith@cygnus.com>

	* config-ml.in: Add prefix and exec_prefix to fix multilib install.

Tue Feb  1 00:07:46 2000  Hans-Peter Nilsson  <hp@bitrange.com>

	* config.sub: Add mmix-knuth-mmixware.

2000-01-31  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* MAINTAINERS: Pair cccp with cpplib maintainership.

2000-01-27  Christopher Faylor <cgf@redhat.com>

	* Makefile.in (CC_FOR_TARGET): Add new winsup directory
	structure stuff to -L library search.
	(CXX_FOR_TARGET): Ditto.
	(CROSS_CHECK_MODULES): Fix spelling mistake.

2000-01-24  Mark Mitchell  <mark@codesourcery.com>

	* Makefile.in (CXX_FOR_TARGET): Use g++, not xgcc, to invoke
	the C++ compiler.

Wed Jan 12 18:00:26 2000  Mark P. Mitchell  <mark@codesourcery.com>

	* configure.in: Fix typo in last change.

2000-01-12  Richard Henderson  <rth@cygnus.com>

	* configure.in: Don't build some bits for beos.

2000-01-12  Joel Sherrill (joel@OARcorp.com)

	* Makefile.in (CC_FOR_TARGET): Use newlib libraries as well
	as include files.

2000-01-11  Zack Weinberg  <zack@wolery.cumb.org>

	* Add self as cpplib maintainer, as requested by Jason
	Merrill.  Correct my e-mail address.

2000-01-06  Geoff Keating  <geoffk@cygnus.com>

	* configure.in: Use mt-aix43 to handle *_TARGET defs,
	not mh-aix43.

2000-01-03  Timothy Wall  <twall@cygnus.com>

	* configure.in (tic54x-*-*): define noconfigdirs for new tic54x target.
	* config.sub (tic54x/c54x*): expand this target name

Thu Dec 23 03:43:36 1999  Hans-Peter Nilsson  <hp@bitrange.com>

	* MAINTAINERS: Add myself to "write after approval" list.

1999-12-14  Richard Henderson  <rth@cygnus.com>

	* config.guess (alpha-osf, alpha-linux): Detect ev67.
	* config.sub: Accept alphaev[78], alphaev8.

Fri Dec 10 18:51:24 1999  Jim Wilson  <wilson@cygnus.com>

	* configure.in (ia64*-*-linux*): Add tk and diff to noconfigdirs.

1999-12-08  Gavin Romig-Koch  <gavin@cetus.cygnus.com>

	* Makefile.in (CONFIGURE_TARGET_MODULES): Insure that the
	parent directories exist when making multilib directories.

1999-12-03  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* config.guess, config.sub: Update from autoconf.

1999-12-01  Kevin Buettner  <kevinb@cygnus.com>

	* configure.in: Enable gdb, mmalloc, and readline for ia64.

1999-11-29  Bruce Korb  <autogen@linuxbox.com>

	* MAINTAINERS:  update my playtime e-address.

Tue Nov 23 00:57:41 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* config-ml.in (sparc*-*-*): Disable sparcv9 support if the
	necessary libraries are missing.

Fri Nov 19 11:22:31 MST 1999	Diego Novillo <dnovillo@cygnus.com>

	* MAINTAINERS: Add new 'write after approval' maintainer.

Wed Nov 17 16:08:43 1999  Alexandre Petit-Bianco  <apbianco@cygnus.com>

	* MAINTAINERS: Add new Java maintainer.

Wed Nov 10 22:56:22 1999  Alexandre Petit-Bianco  <apbianco@cygnus.com>

	* ltmain.sh: Rebuilt.
	* ltmain.in: Picked Anthony's patch from ltmain.sh.

1999-11-15  Nick Clifton  <nickc@cygnus.com>

	* configure.in: Add arm-wince-pe target.

1999-10-26  Frank Ch. Eigler  <fche@cygnus.com>

	* configure.in (native_only): Remove gprof from $native_only,
	so it is by default built for cross toolchains.

1999-10-25  Andreas Schwab  <schwab@suse.de>

	* configure: Fix quoting inside arguments of eval.

1999-10-21  Nick Clifton  <nickc@cygnus.com>

	* config-ml.in: Allow suppression of ARM fast multiply multilibs.

1999-10-16  Anthony Green  <green@cygnus.com>

	* ltmain.sh: Use case instead of basename to determine source
	language.

1999-10-16  Anthony Green  <green@cygnus.com>

	* ltmain.sh: Correct last patch.  Use ||, not &&.

1999-10-15  Anthony Green  <green@cygnus.com>

	* ltmain.sh: Don't use -DPIC for Java code.

Sun Oct  3 14:20:22 1999  Jeffrey A Law  (law@cygnus.com)

	* configure.in (fr30): Fix typo.

1999-09-23  Brendan Kehoe  <brendan@cygnus.com>

	* Makefile.in (configure-target-libiberty): Depend on
	configure-target-newlib, in order to accurately assess the presence
	or absence of particular headers for the target.

Wed Sep 22 16:38:10 1999  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Generalize test for {sh,mips} pe target.

1999-09-22  DJ Delorie  <dj@cygnus.com>

	* configure.in (host_tools): add less

1999-09-21  Nick Clifton  <nickc@cygnus.com>

	* config.sub: Add fr30 target.
	* configure.in: Add fr30 target.
	* MAINTAINERS: Add fr30 maintainer.

Tue Sep  7 23:33:57 1999  Linas Vepstas  <linas@linas.org>

	* config.guess: Add OS/390 match pattern.
	* config.sub: Add mvs, openedition targets.
	* configure.in (i370-ibm-opened*): New.

1999-09-15  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Add tcl & tk dependencies for all-sid and install-sid.

1999-08-31  Nick Clifton  <nickc@cygnus.com>

	* config.sub: Fix support for Xscale
	* configure.in: Fix support for Xscale

1999-08-10  Anthony Green  <green@cygnus.com>

	* Makefile.in (all-target-libffi): Depend on configuring libffi, not
	building GCC.

1999-08-08  Anthony Green  <green@cygnus.com>

	* configure.in (target_libs): Added target-libffi.
	* Makefile.in (ALL_TARGET_MODULES): Added libffi.
	(CONFIGURE_TARGET_MODULES): Likewise.
	(CHECK_TARGET_MODULES): Likewise.
	(INSTALL_TARGET_MODULES): Likewise.
	(CLEAN_TARGET_MODULES): Likewise.
	(configure-target-libffi): New target.
	(all-target-libffi): Likewise.
	(all-target-libjava): Depend on all-target-libffi.
	(configure-target-libjava): Depend on configure-target-libffi.

1999-08-06  Mark Salter  <msalter@cygnus.com>

	* configure.in (frv-*-*): Added bsp and cygmon to target_configdirs.

1999-08-06  Michael Meissner  <meissner@cygnus.com>

	* configure.in (*-*-cygwin*): If the build system and the host are
	both cygwin, build texinfo.

Wed Aug 25 01:12:25 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* config-ml.in: Pass compiler flag corresponding to multidirs to
	subdir configures.

Thu Aug  5 13:59:03 1999  Jim Wilson  <wilson@cygnus.com>

	* configure.in (ia64*-*-*, ia64*-*-linux*): Enable C++ libraries and
	misc utilities.

1999-08-05  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Add "install-sid" too.
	(CROSS_CHECK_MODULES): Add "check-sid".

1999-08-04  Frank Ch. Eigler  <fche@cygnus.com>

	* configure.in: Add "sid" directory to host_tools.
	* Makefile.in: Add "all-sid", "check-sid", "clean-sid" targets.

Wed Aug  4 02:07:14 1999  Jeffrey A Law  (law@cygnus.com)

	* config.sub (vxworks case): Use os=-vxworks, not os=vxworks.

1999-07-19  Catherine Moore  <clm@cygnus.com>

	* configure.in (frv-*-*): Enable c++ libraries.

1999-07-16  Drew Moseley  <dmoseley@cygnus.com>

	* configure.in (noconfigdirs): Removed autoconf, automake
	and gprof from the noconfigdirs list for cygwin hosts.

1999-07-13  Stan Shebs  <shebs@andros.cygnus.com>

	* configure.in (frv-*-*): Enable gdb build.

Tue Jun 29 14:06:56 1999  Jim Wilson  <wilson@cygnus.com>

	* configure.in (ia64*-*-linux*): New.  Add cross_only to skipdirs.

1999-06-25  Michael Meissner  <meissner@cygnus.com>

	* configure.in (frv-*-*): Disable librx, c++ libraries until we
	are ready to support them.  Disable gdb until work begins on it.
	Disable target-libiberty until codegen bug is fixed.

Tue Jun 22 23:45:18 1999  Tom Tromey  <tromey@cygnus.com>

	* configure.in (target_libs): Added target-zlib.
	* Makefile.in (ALL_TARGET_MODULES): Added zlib.
	(CONFIGURE_TARGET_MODULES): Likewise.
	(CHECK_TARGET_MODULES): Likewise.
	(INSTALL_TARGET_MODULES): Likewise.
	(CLEAN_TARGET_MODULES): Likewise.
	(configure-target-zlib): New target.
	(all-target-zlib): Likewise.
	(all-target-libjava): Depend on all-target-zlib.
	(configure-target-libjava): Depend on configure-target-zlib.

	* Makefile.in (configure-target-libjava): Depend on
	configure-target-newlib.
	(configure-target-boehm-gc): New target.
	(configure-target-qthreads): New target.

        * configure.in (host_tools): Added zip.
        * Makefile.in (all-target-libjava): Depend on all-zip.
        (all-zip): New target.
        (ALL_MODULES): Added all-zip.
        (NATIVE_CHECK_MODULES): Added check-zip.
        (INSTALL_MODULES): Added install-zip.
        (CLEAN_MODULES): Added clean-zip.

        * configure.in (target_libs): Added target-qthreads.
        * Makefile.in (ALL_TARGET_MODULES): Added qthreads.
        (CONFIGURE_TARGET_MODULES): Likewise.
        (CHECK_TARGET_MODULES): Likewise.
        (INSTALL_TARGET_MODULES): Likewise.
        (CLEAN_TARGET_MODULES): Likewise.
        (all-target-qthreads): New target.
        (configure-target-libjava): Depend on configure-target-qthreads.
        (all-target-libjava): Depend on all-target-qthreads.

	* Makefile.in (ALL_TARGET_MODULES): Added libjava, boehm-gc.
	(CONFIGURE_TARGET_MODULES): Likewise.
	(CHECK_TARGET_MODULES): Likewise.
	(INSTALL_TARGET_MODULES): Likewise.
	(CLEAN_TARGET_MODULES): Likewise.
	(all-target-libjava): New target.
	(all-target-boehm-gc): Likewise.
	* configure.in (target_libs): Added libjava, boehm-gc.

1999-06-21  Angela Marie Thomas <angela@cygnus.com>

	* configure (tooldir): Set OBJCOPY and OBJDUMP appropriately for
	Canadian cross.

1999-06-18  Jim Wilson  <wilson@cygnus.com>

	* configure.in (ia64*-*-*): Enable byacc.  Move before *-*-linux*.

1999-06-11  Drew Moseley  <dmoseley@cygnus.com>

	* configure (tooldir): Force configure to set OBJCOPY and OBJDUMP
	appropriately.

	* Makefile.in (configure-target-cygmon): Make
	configure-target-cygmon depend on configure-target-bsp.

1999-06-09  Jim Wilson  <wilson@cygnus.com>

	* configure.in (ia64*-*-*): Enable flex.

Tue Jun  8 20:52:22 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* config-ml.in: Create multi-lib directory path by parts.  Do not
 	assume parent directories have been created.

Thu Jun  3 02:18:30 1999  Richard Henderson  <rth@cygnus.com>

	* config.sub: Match ia64 with a company name.
	* configure.in (ia64-*): Re-enable binutils.

Tue Jun 01 16:57:46 1999  Jeff Johnston <jjohnstn@cygnus.com>

        * configure.in: Enable target-libgloss for sh targets.

1999-05-28  Gavin Romig-Koch  <gavin@cygnus.com>

	* configure.in (sh*-*-pe,mips*-*-pe): Remove the C++ libraries.

1999-05-28  DJ Delorie  <dj@cygnus.com>

	* configure.in (sh*-*-pe,mips*-*-pe): add utils for Windows CE

Wed May 26 15:44:19 1999  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Add back C++ libraries.

Tue May 25 15:18:57 1999  Christopher Faylor <cgf@cygnus.com>

	* config.sub: Replace missing parenthesis.
	* configure.in: Don't build expect or dejagnu for Windows CE.

Tue May 25 14:16:29 1999  Christopher Faylor <cgf@cygnus.com>

	* configure.in ({mips,sh}-pe): Limit the modules that are built for
	Windows CE.

1999-05-24  Nick Clifton  <nickc@cygnus.com>

	* config.sub: Tidied up case statements.

Tue May 25 11:34:43 1999  Andrew Cagney  <cagney@amy.cygnus.com>

	* config.sub (maybe_os): Missing paren in case statement.

Tue May 25 11:20:46 1999  H.J. Lu  (hjl@gnu.org)

	* config.guess (dummy): Changed to $dummy.


1999-05-22  Ben Elliston  <bje@cygnus.com>

	* config.guess: Handle NEC UX/4800. Contributed by Jiro Takabatake
	<jiro@din.or.jp>.

	* config.guess: Merge with FSF version. Future changes will be
	more accurately recorded in this ChangeLog.
	* config.sub: Likewise.

1999-05-20  Jim Wilson  <wilson@cygnus.com>

	* configure.in (ia64*-*-*): Don't build C++ libraries.

1999-05-18  Ulrich Drepper  <drepper@cygnus.com>

	* configure.in: There is currently no support for gdb on the
	Netwinder platform.

1999-05-13  Jim Wilson  <wilson@cygnus.com>

	* config.guess (i?86:*:5:7): Change the "7" to "7*" to accept 7.0.1.

1999-05-11  DJ Delorie  <dj@cygnus.com>

	* config.sub: Add Windows/CE support (mips64vr4111el)

Sun May  9 17:35:05 1999  Jim Wilson  <wilson@cygnus.com>

	* config.sub, configure.in: Add ia64 support.

1999-05-05  Tom Tromey  <tromey@cygnus.com>

	* ltmain.sh: Added missing `$'.

	* configure.in (target_libs): Added target-zlib.
	* Makefile.in (ALL_TARGET_MODULES): Added zlib.
	(CONFIGURE_TARGET_MODULES): Likewise.
	(CHECK_TARGET_MODULES): Likewise.
	(INSTALL_TARGET_MODULES): Likewise.
	(CLEAN_TARGET_MODULES): Likewise.
	(configure-target-zlib): New target.
	(all-target-zlib): Likewise.
	(all-target-libjava): Depend on all-target-zlib.
	(configure-target-libjava): Depend on configure-target-zlib.

1999-05-04  Tom Tromey  <tromey@cygnus.com>

	* ltmain.in: [mode link] Reverted change of 1999-04-30.  Instead,
	put `-B' options from command line into new CC.

Thu May 20 10:00:42 1999   Stephen L Moshier  <moshier@world.std.com>

	 * Makefile.in (GCC_FOR_TARGET): Add -I$(build_tooldir)/include.

1999-04-23  Tom Tromey  <tromey@cygnus.com>

	* ltconfig, ltmain.sh: Update to libtool 1.2f.

Tue Apr 13 22:50:54 1999  Donn Terry (donn@interix.com)
                          Martin Heller (Ing.-Buero_Heller@t-online.de)

	* config.guess (interix Alpha): Add.

Sun Apr 11 23:55:34 1999  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* config-ml.in: On mips*-*-*, if multidirs contains mabi=64, try to
	link a trivial program with -mabi=64.  If it fails, remove mabi=64
	from multidirs.

Sat Apr 10 21:50:01 1999  Philipp Thomas  (kthomas@gwdg.de)

	* config.sub: Set basic_machine to i586 when target_alias = k6-*.

1998-12-11  Tom Tromey  <tromey@cygnus.com>

	* Makefile.in (configure-target-libjava): Depend on
	configure-target-newlib.
	(configure-target-boehm-gc): New target.
	(configure-target-qthreads): New target.

Mon Oct 12 12:09:30 1998  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.in (build_tooldir): New variable, same as tooldir.
	(CC_FOR_TARGET, GCC_FOR_TARGET, CXX_FOR_TARGET): Add
	-B$(build_tooldir)/bin/.
	(BASE_FLAGS_TO_PASS): Pass build_tooldir down.

Fri Aug 21 13:33:13 1998  Tom Tromey  <tromey@cygnus.com>

	* configure.in (target_libs): Added target-qthreads.
	* Makefile.in (ALL_TARGET_MODULES): Added qthreads.
	(CONFIGURE_TARGET_MODULES): Likewise.
	(CHECK_TARGET_MODULES): Likewise.
	(INSTALL_TARGET_MODULES): Likewise.
	(CLEAN_TARGET_MODULES): Likewise.
	(all-target-qthreads): New target.
	(configure-target-libjava): Depend on configure-target-qthreads.
	(all-target-libjava): Depend on all-target-qthreads.

Wed May  6 10:26:06 1998  Stu Grossman  <grossman@babylon-5.cygnus.com>

	* Makefile.in:  Add dependencies for boehm-gc to libjava.

Wed Apr 29 17:07:10 1998  Stu Grossman  <grossman@babylon-5.cygnus.com>

	* Makefile.in: Added dependencies to all-target-boehm-gc and
 	all-target-libjava to have them configure during the build.

Mon Apr 20 14:26:26 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.in (ALL_TARGET_MODULES): Added libjava, boehm-gc.
	(CONFIGURE_TARGET_MODULES): Likewise.
	(CHECK_TARGET_MODULES): Likewise.
	(INSTALL_TARGET_MODULES): Likewise.
	(CLEAN_TARGET_MODULES): Likewise.
	(all-target-libjava): New target.
	(all-target-boehm-gc): Likewise.
	* configure.in (target_libs): Added libjava, boehm-gc.


1997-09-15 02:37  Ulrich Drepper  <drepper@cygnus.com>

	* config/mt-linux: Define CXXFLAGS to make sure -fvtable-thunks is
	used.
	* configure.in: Name Linux target fragment.

	* configure: Rewrite so that project Makefile fragment is inserted
	first and appears last in the resulting Makefile.

Thu Apr 29 17:04:02 1999  Dave Brolley  <brolley@cygnus.com>

	* config.sub: Add support for frv.

Tue Apr 28 16:24:24 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* Makefile.in (install-gdbtk): Call this 'install-gdb' so that
	the right GUI libraries and files are installed along with GDB.

Thu Mar 26 15:00:11 1998  Keith Seitz  <keiths@onions.cygnus.com>

	* configure: Do not disable building gdbtk for cygwin32 hosts.

Fri Feb 20 16:47:24 1998  Tom Tromey  <tromey@cygnus.com>

	* configure: Don't let builds be done in source tree.

Thu Sep 18 15:37:42 1997  Andrew Cagney  <cagney@b1.cygnus.com>

	* configure (tooldir): enable_gdbtk=YES for cygwin32, NO for
 	windows.  Consistent with gdb/configure.

	* configure: enable_gdbtk=no for cygwin32-hosted toolchains
Sat Jun 15 17:13:25 1996  Geoffrey Noer <noer@cygnus.com>

	* configure: enable_gdbtk=no for cygwin32-hosted toolchains
Sat Jan  6 07:23:33 1996  Michael Meissner  <meissner@wogglebug.tiac.net>

	* Makefile.in (all-gdb): Depend on $(GDB_TK).
	* configure (GDB_TK): Set GDB_TK to either "all-tcl all-tk" or
	nothing depending on whether gdbtk is being built.

Sat Aug  5 09:51:49 1995  Fred Fish  <fnf@rtl.cygnus.com>

	* Makefile.in (GDBTK_SUPPORT_DIRS):  Define and pass as part of
	SUPPORT_FILES to submakes.

Mon Apr 10 14:38:20 1995  Jason Molenda (crash@phydeaux.cygnus.com)

	* Makefile.in: move {all,check,install}-gdb from *_MODULES
	to *_X11_MODULES due to gdbtk needing X include files et al.


Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
change-log-default-name: "ChangeLog.RedHat"
End:
